﻿// Copyright (C) 2013 João Pedro Correia - All Rights Reserved
// Code under the terms of the GPLv2 license
// URL: http://flowstudio.codeplex.com

namespace FlowStudio.ViewModel
{
    using GalaSoft.MvvmLight.Messaging;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public abstract class ToolViewModel : PaneViewModel
    {
        private bool isVisible;

        public bool IsVisible
        {
            get { return isVisible; }
            set { Set(() => IsVisible, ref isVisible, value); }
        }

        protected ToolViewModel(IMessenger messenger, string contentId, string title)
            : base(messenger, contentId)
        {
            Title = title;
        }
    }
}
