﻿// Copyright (C) 2013 João Pedro Correia - All Rights Reserved
// Code under the terms of the GPLv2 license
// URL: http://flowstudio.codeplex.com

namespace FlowStudio.ViewModel
{
    using GalaSoft.MvvmLight;
    using GalaSoft.MvvmLight.Messaging;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public abstract class PaneViewModel : ViewModelBase
    {
        private string title;

        public string Title
        {
            get { return title; }
            set { Set(() => Title, ref title, value); }
        }

        private string contentId;

        public string ContentId
        {
            get { return contentId; }
            set { Set(() => ContentId, ref contentId, value); }
        }

        protected PaneViewModel(IMessenger messenger, string contentId)
        {
            MessengerInstance = messenger;
            ContentId = contentId;
        }
    }
}
